Skip to content

deployments

GET
/services/deployments
curl --request GET \
--url https://api.siteqwality.com/services/deployments \
--header 'Authorization: Bearer <token>'
range
string
from
string
to
string
tz
string
t
string
q
string
fields
string

Comma-separated fixed fields or attribute keys.

prefix
string
cursor
string
limit
integer format: int32
interval
string
service
string
env
string
name
string
key
string
focus
string
sort
string
span_id
string
by
string
compare
string

OK

Media type application/json
object
data
required
Array<object>
object
id
required
string format: uuid
service
required
string
env
required
string
version
required
string
commit_sha
string | null
repository_url
string | null
source
required
string
deployed_at
required
string
next_cursor
string | null
meta
required
object
from
required
string
to
required
string
clamped_from
string | null
partial
required
boolean
slow_terms
required
Array<string>
Example generated
{
"data": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"service": "example",
"env": "example",
"version": "example",
"commit_sha": "example",
"repository_url": "example",
"source": "example",
"deployed_at": "example"
}
],
"next_cursor": "example",
"meta": {
"from": "example",
"to": "example",
"clamped_from": "example",
"partial": true,
"slow_terms": [
"example"
]
}
}